import { TemplateRef, ViewContainerRef } from '@angular/core';
import { Product } from '../interfaces/product';
export declare class ProductStockDirective {
    private templateRef;
    private viewContainer;
    private productDirective;
    ecProductStockElse: TemplateRef<any>;
    set ecProductStock(product: Product);
    constructor(templateRef: TemplateRef<any>, viewContainer: ViewContainerRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(): void;
    validateStock: () => boolean;
    checkValuesForStock: () => boolean;
}
